Welcome

Welcome to InstallAware Virtualization

InstallAware Virtualization is a royalty free application virtualization solution. Application virtualization offers the following benefits:

  • Run applications without installing them

  • Run applications which require administrator rights without actually having administrator rights

  • Run mutually incompatible applications on the same desktop

  • Completely sidestep all application deployment conflicts

  • Protect your physical system from all application behavior

  • Migrate and run legacy applications on new platforms

  • Secure application files and data

InstallAware Virtualization contains a stand-alone IDE, as well as a setup repackager built specifically for application virtualization. Rapidly create application virtualization projects for any of your existing applications, without any application re-engineering, using PackageAware. Fine-tune your resulting application virtualization projects inside the stand-alone IDE. A command line build tool is also available for build automation, called ivpb_console.exe.

InstallAware Virtualization has been brought to you by InstallAware and Softanics.


Importing InstallAware Setups

InstallAware Virtualization provides an InstallAware Import utility which lets you directly convert any existing InstallAware setup to a ready-to-build application virtualization project.

The following considerations apply for the conversion process:

  • All files and registry keys you are installing as part of your existing setup will be converted.

  • The tool will intelligently parse file system and registry paths and attempt to replicate the exact structure found within your installation.

  • Where possible, script variables will be replaced with their literal values. Variables that cannot be resolved to a meaningful value will be left as-is. You may touch up these values inside the InstallAware Virtualization IDE.

  • Elements that cannot be theoretically supported by application virtualization technology, such as services and application runtimes, will not be converted.

  • Compiler variables will be substituted with their literal values as found in your InstallAware project file.

  • Conditional compilation (excluding parts of your scripts based on compiler variable values) is not supported.

  • All of your include scripts will be processed.


File Properties

To add a file, click Files -> "Add File". The file properties dialog appears.

To mark the file virtual, check the "Virtual file" checkbox. A virtual file is always embedded in the output EXE, stored as part of the virtual file system. The path where the virtual file will be located at is specified in the virtual path field. It can be (and typically is) a relative path.

Suppose an application, when it starts, attempts to load the file 1.txt from the same folder it is located in. Select the file 1.txt and then specify 1.txt as its virtual path. When the virtual application starts, it will then load the file 1.txt directly from the virtual file system, even though it may or may not exist on the physical file system.

You may also mark a file as an ActiveX / COM library, and request it to be registered in the virtual registry during virtual application initialization.


Registry Properties

To add a registry key or value, click Registry, and then right-click the registry hive to add the key or value under, and choose "New". A new item of the chosen type now appears in the registry hive, and the data it contains may be edited.


Preparing to Use PackageAware

InstallAware recommends that you use clean-machines while capturing setups. A clean machine is a plain installation of Microsoft Windows with no other software installed (and ideally, no optional Windows components installed either). Clean machine captures are more efficient in setup repackaging because they more closely reflect the target systems your applications will be installed on. Also, they may already contain some of the files and settings that are being installed by the captured setup. When those files and settings are already present on the system, PackageAware will not see them as new additions, and therefore fail to detect all components that have been installed by the captured setup.

In addition, the usage of virtualization software such as EMC VMware or Microsoft Hyper-V is strongly recommended. Virtualization software enables developers to boot more than one operating system simultaneously from their desktop, easily passing files and data between one another. Using virtualization software during setup captures dramatically increases productivity.


Using PackageAware

To use PackageAware, follow the steps below:

  1. Prepare a clean machine, ideally in a virtualized environment, that you will be using while capturing your setup. Install InstallAware Virtualization onto this clean machine.

  2. In the Start Menu group for InstallAware Virtualization, click PackageAware. The PackageAware wizard launches.

  3. Choose "Capture an installation" and click Next to continue on the welcome screen.

  4. If you would like to exclude monitoring certain file and registry locations, click the Edit Profiles button.

  5. Click Next to scan the host system for all existing files and registry data.

  6. While the scan is in progress, do not use the capture machine.

  7. Run the setup for the application you wish to capture. If you are capturing more than one setup, you may run all of them before returning to PackageAware. If one of the setups you ran requested a reboot, restart the capture machine as requested. Rebooting the capture machine, even if none of the captured setups requested it, is a recommended practice. PackageAware survives reboots without any additional configuration, and continues to collect data.

  8. When you have finished making the changes to the capture machine (all setups and reboots finalized), click Next to scan the host system for all new files and registry data.

  9. Again, do not use the capture machine while the comparison scan is in progress.

  10. To create a portable project, check the Create a portable project check-box. This option will copy all required application files into a subfolder of your project folder, replacing all absolute references to files on the capture machine with relative file references to files underneath your project folder. Therefore, when you move this project onto another system - even one that does not have the application to capture already installed - you will be able to rebuild the project successfully. However, since each application file has to be duplicated as part of project creation, this doubles disk space requirements and incurs a performance penalty during the file copy phase.

  11. Click Next to generate a ready-to-build InstallAware Virtualization project from the captured setup. When you press the button, the wizard suggests a project name based on information it has already captured. Save the new project using the suggested name, or enter a custom name. You may save the project in any folder.

  12. If necessary, copy the captured project folder from your capture system onto your production system with InstallAware Virtualization installed. Open the project in the InstallAware Virtualization IDE. You are now ready to build a virtual application out of your captured setup.

  13. Tune-up your captured application.

When you are using the Create a portable project option, PackageAware may occasionally fail to copy files. This is generally a strong indication that some of the files PackageAware detected as a result of the setup capture process are not really a part of the application you were installing, but a part of Windows or another pre-existing application on the system, which changed the files during the capture process, thus misleading PackageAware into associating this updated file with the application you were installing. It is however also possible, especially if you launched the application after its installation, that the application itself is actually using the file and has locked it for access. In this scenario, PackageAware lists the first file name that is causing the issue, and offers you three options:

  • Yes (try again): Clicking this button will attempt to copy the inaccessible file again. You will be prompted again for each file that cannot be copied until the copy succeeds, including the first file that the issue occurs with. Choose this option if the application you are attempting to virtualize is running, but be sure to entirely shut down the application before clicking the button.

  • No (skip): Clicking this button will discard this file, and any future files that are unable to be copied. You will not be prompted on futher failures, and all failing files will be immediately skipped. Choose this option if the application you are attempting to virtualize is not running, and you suspect that a Windows component or another unrelated application coincidentally wrote to the file at the same time you were installing your application to virtualize.

  • Cancel (abort): Clicking this button will abandon the entire setup capture process - you will need to re-start from scratch. Choose this option if you are unsure whether to choose Yes or No, and want to try again from the very beginning.


Working with Captured Setups

After you have captured a setup, tune up the generated virtual application project.

  • If you do not have InstallAware Virtualization installed on the capture machine, remember to copy installation files from the capture machine to your development machine. The Create a portable project option in PackageAware helps you avoid manually having to copy files by pre-copying the files for you inside your project folder at project creation time.

  • Review the list of captured files, shortcuts, and registry keys to make sure they are pertinent to the setup you captured.

  • PackageAware may occasionally capture files and registry keys that were not actually installed by the setup you were monitoring. Such files may have been changed by other processes and services that were running on the capture machine at the time of the capture, leading PackageAware to believe they were put in place by the setup you were running. If you find references to such unrelated files and registry keys, delete them from your virtual application project.

  • Build your virtual application. If you get build errors regarding inaccessible files, make sure no application is using them (such as the application you are virtualizing). If you are still getting build errors, remove those inaccessible files from your virtual application project and try again - they are most likely files that were not part of your virtual application.

  • Test your virtual application to make sure it works correctly, and make changes as necessary.

  • You may modify any part of the virtual application project that is generated by PackageAware to meet your virtualization requirements.

If the application you are virtualizing extracted its setup files on the target system and did not remove them automatically after installation, PackageAware will also include those files in your virtual application project. Be sure to delete any unnecessary setup files from your virtual application project. Such files are unnecessary and will only increase the size of your output EXE file.


Virtual Files

A virtual file is a file that exists for the virtual application only.

Virtual files are useful when:

  • You want to hide the use of third-party components,

  • You want to protect individual files (animation, video, images),

  • You want to protect your intellectual property,

  • You don't want to pollute your disk.

When creating a virtual file in InstallAware Virtualization, specify its properties:

  • Path (full or relative), which indicates where the virtual file is to be created,

  • Whether the file is to be registered as an ActiveX / COM library in the virtual registry.


Virtual Registry

InstallAware Virtualization provides a "virtual registry", comprised of a set of registry keys and values that are visible only to your virtual application.

The virtual registry is necessary when you want to provide some registry settings to an application, independent of the physical environment the virtual application is running on.


Virtual Path

A virtual path may be a relative path (such paths are always relative to the main EXE folder):

1.txt

A virtual path may also be a full path:

C:\1.txt

A virtual path may contain an embedded environment variable (for example, to use the variable %USERPROFILE%, specify it using the form <USERPROFILE>):

<USERPROFILE>\some\folder\and\one\more\1.txt

Other variables such as <CurDir> and <ExeDir> are also available for use with virtual paths:

<ExeDir>\1.txt

<CurDir>\tratata\SomeDLL.dll

Read more about supported variables here: Variables


Using ActiveX Controls

When adding a new file to your virtual application project, you may mark it as an ActiveX / COM library, and request pre-registration in the virtual registry when the application starts.

Suppose your application plays flash movies. Then you would simply add the flash.ocx file and mark this file as virtual, then checking the "register in virtual registry" checkbox -- now your application no longer depends on whether or not the client computer has flash player installed!

How does this work? When the virtual application starts, it will first call the function for registering the specified ActiveX control (even if it is a virtual file); and all changes will be saved in the virtual registry. In other words, the real system registry does not get modified, and the rest of your application code runs just as if the ActiveX control was actually installed on the physical system.


Embedded Command Lines

If you specify an embedded command line argument, a virtual application will run as if those arguments were passed to the program during launch. You may specify variables too as part of your arguments, read more about supported variables here: Variables

Suppose you have packed notepad.exe. Add a virtual file "1.txt" to your project, and specify "<BoxedAppVar:ExeFullPath>" 1.txt as the command line. Your packed notepad.exe will load 1.txt from the virtual file system upon launch.


Variables

InstallAware Virtualization supports variables that may be specified as part of an embedded command line, or used as part of a virtual path:

  • <ExeDir> - the directory containing the virtual application

  • <CurDir> - the current directory

  • <any environment variable here> - any Windows environment variable, for example: <ProgramFiles>

  • <BoxedAppVar:ExeFileName> - executable file name (for example, "notepad.exe")

  • <BoxedAppVar:ExeFileExtension> - executable file extension (for example, "exe")

  • <BoxedAppVar:ExeFileNameWithoutExtension> - executable file name, without the extension (for example, "notepad")

  • <BoxedAppVar:ExeFullPath> - full path of executable (for example, "C:\notepad.exe")

  • <BoxedAppVar:OldCmdLine> - the command line specified when the virtual application was built; you may use this variable to add additional arguments to an existing embedded command line; for example: <BoxedAppVar:OldCmdLine> /NewSwitch


License

InstallAware End User License Agreement

READ THIS DOCUMENT CAREFULLY BEFORE INSTALLING THIS SOFTWARE. BY CLICKING THE "I agree to the terms and rules related to the use of this program" BUTTON, DOWNLOADING, INSTALLING AND USING THIS SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE. YOU AGREE THAT YOUR INSTALLING OR USE OF THE SOFTWARE ACKNOWLEDGES THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.

This is a legal agreement between you (either an individual or an entity) and InstallAware Software Corporation, and its suppliers and licensors (collectively "InstallAware Software Corporation"). This Agreement states the terms and conditions upon which InstallAware Software Corporation offers to license the InstallAware software, together with all related documentation and accompanying items including, but not limited to, the executable programs, drivers, libraries and data files associated with such programs (collectively, the "Software").

You acknowledge that you are in possession of proprietary and confidential trade secret materials belonging to InstallAware Software Corporation or its licensors. Except as provided herein, all information and materials provided to you shall be considered "Confidential Information". You promise not to use, disclose or otherwise disseminate any Confidential Information without the express written consent of InstallAware Software Corporation. Confidential Information does not include information: (i) was already known to you prior to receipt from InstallAware Software Corporation; (ii) is or becomes public knowledge without breach of your obligations under this Agreement; (iii) is rightfully acquired by you from a third party without restriction on disclosure or use; (iv) was or is disclosed by the InstallAware Software Corporation to a third party prior to or after the date of this Agreement without restriction or use; (v) is independently developed by you without resort to InstallAware Software Corporation's disclosure; or (vi) is disclosed or used following your receipt of express written consent from an officer of InstallAware Software Corporation. Provided, however, that you shall have the burden of proof respecting any of these events on which you rely as relieving you of any restrictions under this Agreement. In addition, prior to any disclosure or use of Confidential Information pursuant to this paragraph, you must first notify InstallAware Software Corporation, in writing, of the specific Confidential Information you seeks to use or disclose pursuant to this paragraph, and the factual and/or legal reasons therefore. Said written notice shall be made at least two weeks before using or disclosing such Confidential Information. You promise to act diligently in keeping their trade secrets and other confidential materials secret. You promise to act consistently with the legal requirements to maintain the "trade secret" classification of InstallAware Software Corporation's confidential business information.

LICENSE

1. Grant of License.

The Software is not sold to you. Rather, it is licensed on a non-exclusive basis solely for use by you, and you alone, under the terms of this Agreement. InstallAware Software Corporation (and, to the extent applicable, its licensors), retains all title to and ownership of the Software and reserves all rights not expressly granted to you hereby.

If you have obtained an evaluation/demo copy of the Software, and have not purchased a license to the Software, InstallAware Software Corporation grants you a 30-day non-exclusive license to use the Software free of charge for the purpose of evaluating whether you wish to purchase an ongoing license for the Software. WARNING: Evaluation/Demo copies of the Software may become non-functional thirty (30) days following initial installation on your computer. Evaluation/Demo copies of the software may also limit the number of times certain features may be executed. InstallAware Software Corporation disclaims all liability and responsibility for any loss of data or other information which may occur as a result thereof.

BETA RELEASE VERSIONS: In the event that the Software is a Beta Release Version, the terms of this Section shall apply. Your license to use the Software expires 30 days after installation (or such other period as indicated by the Software) and the Software may cease to function. The Software you are receiving may contain more or less features than the commercial release of the InstallAware Software Corporation Product that InstallAware Software Corporation intends to distribute. While InstallAware Software Corporation intends to distribute a commercial release of the Software, InstallAware Software Corporation reserves the right at any time not to release a commercial release of the Software or, if released, to alter features, specifications, capabilities, functions, licensing terms, release dates, general availability or other characteristics of the commercial release. You agree that the Beta Release Versions are not suitable for production use and may contain errors affecting their proper operation. You agree that you will not do anything to circumvent or defeat the features designed to stop the Software from operating after the license expires.

2. No Trademark License.

No license is granted to you in this Agreement, either expressly or implicitly, to use any trademark, service mark, names, or logos of InstallAware Software Corporation International. InstallAware Software Corporation owns all customer data collected through the registration process.

3. Use on a Single Computer Only.

The Software may be used by you only on a single computer. You may transfer the machine-readable portion of the Software from one computer to another computer, provided that a) the Software (including any portion or copy thereof) is erased from the first computer, and b) there is no possibility that the Software will be used on more than one computer at a time. A computer is defined both by the physical computer and the operating system installation. Therefore, a single physical computer with multiple operating systems installed will be recognized as one computer for each operating system.

4. Lawful Use Only.

You agree that you shall only use the Software and Documentation in a manner that complies with all applicable laws in the jurisdiction in which you use the Software and Documentation, including, but not limited to, applicable restrictions concerning copyright and other intellectual property rights. You will not misuse or otherwise use the software in a malicious way that causes injury or disruption to the websites posted to.

5. Copyright.

The Software is owned by InstallAware Software Corporation or its licensor, and is protected by United States copyright laws and international treaty provisions. You may not remove the copyright notice from any copy of the Software or any copy of the written materials, if any, accompanying the Software.

6. Intentionally left blank.

7. One Archival Copy.

You may only make one archival copy, which may only be used for backup purposes, and may not be distributed to others.

8. No Merger or Integration.

You may not merge any portion of the Software into, or integrate any portion of the Software with, any other program, except to the extent expressly permitted by the laws of the jurisdiction where you are located. Any portion of the Software merged into or integrated with another program, if any, will continue to be subject to the terms and conditions of this Agreement, and you must reproduce on the merged or integrated portion all copyright and other proprietary rights notices included in the originals of the Software.

9. No Transfer of License.

You may not transfer your license of the Software to anyone.

10. Limitations on Using, Copying, and Modifying the Software.

Except to the extent expressly permitted by this Agreement or by the laws of the jurisdiction where you acquired the Software, you may not use, copy or modify the Software. Nor may you sub-license any of your rights under this Agreement.

11. Decompiling, Disassembling, or Reverse Engineering.

You acknowledge that the Software contains trade secrets and other proprietary information of InstallAware Software Corporation and/or its licensors. Except to the extent expressly permitted by this Agreement or by the laws of the jurisdiction where you are located, you may not decompile, disassemble or otherwise reverse engineer the software, or engage in any other activities to obtain underlying information that is not visible to the user in connection with normal use of the Software.

In particular, you agree not for any purpose to transmit the Software or display the Software's object code on any computer screen or to make any hardcopy memory dumps of the Software's object code. If you believe you require information related to the interoperability of the Software with other programs, you shall not decompile or disassemble the Software to obtain such information, and you agree to request such information from InstallAware Software Corporation at the address listed below. Upon receiving such a request, InstallAware Software Corporation shall determine whether you require such information for a legitimate purpose and, if so, InstallAware Software Corporation will provide such information to you within a reasonable time and on reasonable conditions.

In any event, you will notify InstallAware Software Corporation of any information derived from reverse engineering or such other activities, and the results thereof will constitute the confidential information of InstallAware Software Corporation that may be used only in connection with the Software.

12. Updates and Auto-updating.

This license does not grant you any right to any enhancements or updates to the Software, nor any support services. The Software has an auto-update function that automatically checks InstallAware Software Corporation's or its licensor's servers on the Internet for updates for the Software, such as bug fixes, patches, database updates, and enhanced functions. You agree that InstallAware Software Corporation may, through the auto-update function, download updates and install them as part of your Software.

13. TERMINATION

The license granted to you is effective until terminated. You may terminate it at any time by returning the Software (including any portions or copies thereof) to InstallAware Software Corporation. The license will also terminate automatically without any notice from InstallAware Software Corporation if you fail to comply with any term or condition of this Agreement. You agree upon such termination to return the Software (including any portions or copies thereof) to InstallAware Software Corporation. Upon termination, InstallAware Software Corporation may also enforce any rights provided by law. The provisions of this Agreement that protect the proprietary rights of InstallAware Software Corporation will continue in force after termination.

14. DISCLAIMER OF WARRANTY

InstallAware Software Corporation does not warrant that the functions contained in the Software will meet your requirements or that the operation of the Software will be uninterrupted, error-free or free from malicious code. For purposes of this paragraph, "malicious code" means any program code designed to contaminate other computer programs or computer data, consume computer resources, modify, destroy, record, or transmit data, or in some other fashion usurp the normal operation of the computer, computer system, or computer network, including viruses, Trojan horses, droppers, worms, logic bombs, and the like.

EXCEPT AS STATED ABOVE IN THIS AGREEMENT, THE SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, AND FITNESS FOR A PARTICULAR PURPOSE. InstallAware Software Corporation IS NOT OBLIGATED TO PROVIDE ANY UPDATES, UPGRADES OR TECHNICAL SUPPORT FOR THE SOFTWARE.

Further, InstallAware Software Corporation shall not be liable for the accuracy of any information provided by InstallAware Software Corporation or third-party technical support personnel, or any damages caused, either directly or indirectly, by acts taken or omissions made by you as a result of such technical support.

You assume full responsibility for the selection of the Software to achieve your intended results, and for the installation, use and results obtained from the Software. You also assume the entire risk as it applies to the quality and performance of the Software. Should the Software prove defective, you (and not InstallAware Software Corporation, or its distributors or dealers) assume the entire cost of all necessary servicing, repair or correction.

15. LIMITATION OF REMEDIES AND DAMAGES

IN NO EVENT WILL InstallAware Software Corporation OR ITS LICENSORS BE LIABLE FOR ANY INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR FOR ANY LOST PROFITS, LOST SAVINGS, LOST REVENUES OR LOST DATA ARISING FROM OR RELATING TO THE SOFTWARE OR THIS AGREEMENT, EVEN IF InstallAware Software Corporation OR ITS LICENSORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL InstallAware Software Corporation'S LIABILITY OR DAMAGES TO YOU OR ANY OTHER PERSON EVER EXCEED THE AMOUNT PAID BY YOU TO USE THE SOFTWARE, REGARDLESS OF THE FORM OF THE CLAIM. If the country/state in which you reside does not allow the limitation or exclusion of liability for incidental or consequential damages, so the above limitation or exclusion may not apply to you.

16. U.S. GOVERNMENT RESTRICTED RIGHTS

All Software and related documentation are provided with restricted rights. Use, duplication or disclosure by the U.S. Government is subject to restrictions as set forth in subdivision (b)(3)(ii) of the Rights in Technical Data and Computer Software Clause at 252.227-7013. Manufacturer is InstallAware Software Corporation International, 1280 Page Suite A, San Francisco 94417. If you are sub-licensing or using the Software outside of the United States, you will comply with the applicable local laws of your country, U.S. export control law, and the English version of this Agreement. You are responsible for complying with all trade regulations and laws both foreign and domestic.

17. EXPORT RESTRICTIONS

You acknowledge that none of the Software or underlying information or technology may be downloaded or otherwise exported or re-exported (i) into (or to a national or resident of) Cuba, Iraq, Libya, Sudan, North Korea, Iran, Syria or any other country subject to a U.S. embargo; or (ii) to anyone on the U.S. Treasury Department's list of Specially Designated Nationals or the U.S. Commerce Department's Denied Parties List or Entity List. By using the Software you are agreeing to the foregoing and are representing and warranting that (i) no U.S. federal agency has suspended, revoked, or denied you export privileges, (ii) you are not located in or under the control of a national or resident of any such country or on any such list, and (iii) you will not export or re-export the Software to any prohibited county, or to any prohibited person, entity, or end-user as specified by U.S. export controls.

18. GENERAL

This Agreement is binding on you as well as your employees, employers, contractors and agents, and on any successors and assignees. Neither the Software nor any information derived therefrom may be exported except in accordance with the laws of the U.S. or other applicable provisions. This Agreement is governed by the laws of the State of California (except to the extent federal law governs copyrights and federally registered trademarks) without regard to conflicts of law provisions, and you hereby consent to the exclusive jurisdiction of the state and federal courts sitting in the State of California. This License Agreement will not be governed by the United Nations Convention of Contracts for the International Sale of Goods, the application of which is hereby expressly excluded. This Agreement is the entire agreement between us and supersedes any other understandings or agreements, including, but not limited to, advertising, with respect to the Software. If any provision of this Agreement is deemed invalid or unenforceable by any country or government agency having jurisdiction, that particular provision will be deemed modified to the extent necessary to make the provision valid and enforceable, and the remaining provisions will remain in full force and effect. The terms and conditions contained in this License Agreement may not be modified unless both you and an authorized representative of InstallAware Software Corporation execute a separate written instrument.

19. Injunctive Relief.

You acknowledge that the Software and the Service contain InstallAware Software Corporation's proprietary and confidential information, and that disclosure of such information or misuse of the Software will give rise to irreparable injury to InstallAware Software Corporation, inadequately compensable in damages. Accordingly, InstallAware Software Corporation may seek and obtain injunctive relief against the breach or threatened breach of the foregoing undertakings, in addition to any other legal remedies which may be available. Said relief will be available without the requirement of posting a bond or undertaking.

20. SPECIAL PROVISIONS APPLICABLE TO THE EUROPEAN UNION

If you acquired the Software in the European Union (EU), the following provisions also apply to you. If there is any inconsistency between the terms of the Software License Agreement set out earlier and the following provisions, the following provisions shall take precedence.

Decompilation:

You agree not for any purpose to transmit the Software or display the Software's object code on any computer screen or to make any hard copy memory dumps of the Software's object code. If you believe you require information related to the interoperability of the Software with other programs, you shall not decompile or disassemble the Software to obtain such information, and you agree to request such information from InstallAware Software Corporation at the address listed earlier. Upon receiving such a request, InstallAware Software Corporation shall determine whether you require such information for a legitimate purpose and, if so, InstallAware Software Corporation will provide such information to you within a reasonable time and on reasonable conditions.

Limited Warranty:

EXCEPT AS STATED EARLIER IN THIS AGREEMENT, AND AS PROVIDED UNDER THE HEADING "STATUTORY RIGHTS", THE SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY, QUALITY AND FITNESS FOR A PARTICULAR PURPOSE.

Limitation of Remedy and Damages:

THE LIMITATIONS OF REMEDIES AND DAMAGES IN THE SOFTWARE LICENSE AGREEMENT SHALL NOT APPLY TO PERSONAL INJURY (INCLUDING DEATH) TO ANY PERSON CAUSED BY InstallAware Software Corporation'S NEGLIGENCE AND ARE SUBJECT TO THE PROVISION SET OUT UNDER THE HEADING "STATUTORY RIGHTS".

Statutory rights:

Irish law provides that certain conditions and warranties may be implied in contracts for the sale of goods and in contracts for the supply of services. Such conditions and warranties are hereby excluded, to the extent such exclusion, in the context of this transaction, is lawful under Irish law. Conversely, such conditions and warranties, insofar as they may not be lawfully excluded, shall apply. Accordingly nothing in this Agreement shall prejudice any rights that you may enjoy by virtue of Sections 12, 13, 14 or 15 of the Irish Sale of Goods Act 1893 (as amended).

General: This Agreement is governed by the laws of the Republic of Ireland. The local language version of this agreement shall apply to Software acquired in the EU. This Agreement is the entire agreement between us and you agree that InstallAware Software Corporation will not have any liability for an untrue statement or representation made by it, its agents or anyone else (whether innocently or negligently) upon which you relied upon entering this Agreement, unless such untrue statement or representation was made fraudulently.

END OF AGREEMENT


Order

Please click here to place an order.